# NixOS Manual

Version

## Preface

This manual describes how to install, use and extend NixOS, a Linux distribution based on the purely functional package management system Nix.

If you encounter problems, please report them on the `Discourse` or on the `#nixos` channel on Freenode. Bugs should be reported in NixOS’ GitHub issue tracker.

Commands prefixed with `#` have to be run as root, either requiring to login as root user or temporarily switching to it using `sudo` for example.

## Configuration Options